
Infrastructure - Bug #1243

GMN places descriptions in error detail code of Exception messages

2011-01-20 01:13 - Robert Waltz

Status: Closed Start date: 2011-01-20

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2011.04   

Milestone:  Story Points:  

Product Version: *   

Description

When trying to access this URL:

GET -U -e  -H 'Accept: text/xml' "http://gmn-dev.dyndns.org/mn/meta/hdl%253A10255%252Fdryad.105%252Fmets.xml"

I receive a 404 error.  However, instead of a detailCode, I receive the string :

<error detailCode=""1060.base.py(92)/auth.py(75)/views.py(550)/views.py(576)/Type: <class

'd1_common.exceptions.NotFound'>/Value: 404 [NotFound:0] Non-existing System Metadata object was requested

pid: 'hdl%253A10255%252Fdryad.105%252Fmets.xml'"

History

#1 - 2011-01-20 15:22 - Dave Vieglais

Actually, according to the spec this is allowed:

"A code that can be mapped to a specific location in the source code of the implementation. Implemented as a string with dot notation to indicate

progressive levels of detail."

However, this representation is a bit cumbersome. The actual error description should appear in trace information, and ideally the detail code should

be something much simpler such as the integer specified in the method description plus (if necessary) a short string that provides additional context

as to where in the software stack the error occurred. The full path to the error would be better placed in the traceInformation section.

#2 - 2011-01-27 16:57 - Roger Dahl

- Target version set to Sprint-2011.04

#3 - 2011-01-27 16:58 - Roger Dahl

- Status changed from New to Closed
